﻿<style type="text/css">
    .CellsEllipsis, .CellsEllipsis input {
        text-overflow: ellipsis;
        overflow: hidden;
        white-space: nowrap;
    }
</style>

<table width="100%">
    <tr>
        <td style="width: 100%">
            @*<fieldset>*@
            <table style="width: 100%; margin: 0 auto;">
                <tr>
                    <td style="border-top: solid 1px; border-left: solid 1px; border-right: solid 1px; padding-bottom: 5px; padding-top: 5px; padding: 10px 10px; width:300px;">
                        <table>
                            <tr>
                                <td>
                                    @Html.Partial("_PartialUploadSearch")
                                </td>
                            </tr>
                        </table>
                    </td>

                    <td style="border-top: solid 1px; padding-left: 10px;">
                        @Html.DevExpress().Label(
                            label =>
                            {
                                label.Text = "Packing Month";
                            }).GetHtml()
                        <b style="color:red;">*</b>
                    </td>
                    <td style="border-top: solid 1px;">
                        @Html.DevExpress().DateEdit(
                              settings =>
                              {
                                  settings.Name = "I_MONTH";
                                  settings.Width = 120;
                                  settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                  settings.Properties.EditFormat = EditFormat.Custom;
                                  settings.Properties.DisplayFormatString = "MM.yyyy";
                                  settings.ReadOnly = false;
                                  settings.Properties.UseMaskBehavior = false;
                                  settings.Properties.EditFormat = EditFormat.Custom;
                                  settings.Properties.EditFormatString = "MM.yyyy";
                                  settings.Date = DateTime.Now;
                                  //settings.Properties.ClientSideEvents.ValueChanged = "ValidFrom_OnChanged";
                              }).GetHtml()
                    </td>
                    <td style="border-top: solid 1px;">
                        @Html.DevExpress().Label(
                            label =>
                            {
                                label.Text = "Supplier";
                            }).GetHtml()
                    </td>
                    <td style="border-top: solid 1px;">
                        @Html.DevExpress().ComboBox(
                             settings =>
                             {
                                 settings.Name = "I_SUPPLIER_CD";
                                 settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                 settings.Width = 110;
                                 settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.StartsWith;
                                 settings.Properties.TextFormatString = "{0}";
                                 settings.SelectedIndex = 0;
                                 settings.Properties.ValueType = typeof(string);
                             }).BindList(ViewData["MOP_SUPPLIER"]).GetHtml()
                    </td>
                    <td style="border-top: solid 1px;">
                        @Html.DevExpress().Label(
                            label =>
                            {
                                label.Text = "Part No";
                            }).GetHtml()
                    </td>
                    <td style="border-top: solid 1px; border-right: solid 1px;">
                        @Html.DevExpress().TextBox(
                            settings =>
                            {
                                settings.Name = "I_PART_NO";
                                settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                settings.Width = 150;
                                settings.Properties.MaxLength = 25;
                                settings.ControlStyle.CssClass = "CellsEllipsis";
                            }).GetHtml()
                    </td>
                </tr>
                <tr>
                    <td style="border-left: solid 1px; border-right: solid 1px; padding-left: 10px; width:300px; ">
                        <table>
                            <tr>
                                <td>
                                    @Html.Partial("_PartialUpload")
                                </td>
                            </tr>
                        </table>
                    </td>

                    <td style="padding-left: 10px;">
                        @Html.DevExpress().Label(
                            label =>
                            {
                                label.Text = "Re-order";
                            }).GetHtml()
                    </td>
                    <td>
                        @Html.DevExpress().ComboBox(
                            settings =>
                            {
                                settings.Name = "I_REORDER_FLAG_SEARCH";
                                settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                settings.Width = 110;
                                settings.SelectedIndex = 0;
                                settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.StartsWith;
                                settings.Properties.TextFormatString = "{0}";
                                settings.Properties.ValueType = typeof(string);
                            }).BindList(ViewData["MOP_REORDER"]).GetHtml()
                    </td>
                    <td>
                        @Html.DevExpress().Label(
                            label =>
                            {
                                label.Text = "Timing";
                            }).GetHtml()
                    </td>
                    <td>
                        @Html.DevExpress().ComboBox(
                            settings =>
                            {
                                settings.Name = "I_TIMING";
                                settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                settings.Width = 110;
                                settings.SelectedIndex = -1;
                                settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.StartsWith;
                                settings.Properties.TextFormatString = "{0}";
                                settings.Properties.ValueType = typeof(string);
                                settings.Properties.ValueField = "SYSTEM_CD";
                                settings.Properties.TextField = "SYSTEM_VALUE";
                            }).BindList(ViewData["MOP_TIMING"]).GetHtml()
                    </td>
                    <td>
                        @Html.DevExpress().Label(
                            label =>
                            {
                                label.Text = "Send Status";
                            }).GetHtml()
                    </td>
                    <td style="border-right: solid 1px;">
                        @Html.DevExpress().ComboBox(
                            settings =>
                            {
                                settings.Name = "I_SEND_STATUS";
                                settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                settings.Width = 110;
                                settings.SelectedIndex = -1;
                                settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.StartsWith;
                                settings.Properties.TextFormatString = "{0}";
                                settings.Properties.ValueType = typeof(string);
                                settings.Properties.ValueField = "SYSTEM_CD";
                                settings.Properties.TextField = "SYSTEM_VALUE";
                            }).BindList(ViewData["MOP_SEND_STS"]).GetHtml()
                    </td>
                </tr>
                <tr>
                    <td style="border-left:solid black 1px;"></td>
                    <td style="padding-left: 10px;border-left:solid black 1px;">
                        @Html.DevExpress().Label(
                            label =>
                            {
                                label.Text = "Sub Supplier";
                            }).GetHtml()
                    </td>
                    <td>
                        @Html.DevExpress().ComboBox(
                             settings =>
                             {
                                 settings.Name = "I_SUB_SUPPLIER_CD";
                                 settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                 settings.Width = 110;
                                 settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.StartsWith;
                                 settings.Properties.TextFormatString = "{0}";
                                 settings.SelectedIndex = 0;
                                 settings.Properties.ValueType = typeof(string);
                             }).BindList(ViewData["MOP_SUB_SUPPLIER"]).GetHtml()
                    </td>
                    <td>
                        @Html.DevExpress().Label(
                            label =>
                            {
                                label.Text = "PMSP Flag";
                            }).GetHtml()
                    </td>
                    <td>
                        @Html.DevExpress().ComboBox(
                            settings =>
                            {
                                settings.Name = "I_PMSP_FLAG";
                                settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                settings.Width = 110;
                                settings.SelectedIndex = -1;
                                settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.StartsWith;
                                settings.Properties.TextFormatString = "{0}";
                                settings.Properties.ValueType = typeof(string);
                                settings.Properties.ValueField = "SYSTEM_CD";
                                settings.Properties.TextField = "SYSTEM_VALUE";
                            }).BindList(ViewData["MOP_PMSP_FLAG"]).GetHtml()
                    </td>
                    <td></td>
                    <td style="border-right:solid black 1px;"></td>
                </tr>
                <tr>
                    <td style="border-left: solid 1px; border-right: solid 1px; border-bottom: solid 1px; padding-left: 10px;">
                        @*@Html.DevExpress().HyperLink(Link =>
                            {
                                Link.Name = "DownloadLink";
                                Link.Properties.Text = "Download Template Upload Revise";
                                Link.Width = 200;
                                Link.NavigateUrl = "Template/TemplateUploadReviseMOP.csv";
                                Link.Style.Add("display", "inline-table");
                            }).GetHtml()*@
                    </td>
                    <td colspan="8" align="left" style="padding-top: 1em; border-left: solid 1px; border-right: solid 1px; border-bottom: solid 1px;">
                        @Html.Partial("_PartialCommand")
                    </td>

                    @* <td align="right" colspan="6" style="padding-top:1em;">
                             @Html.DevExpress().Button(Button =>
                        {
                            Button.Name = "cmdDownload";
                            Button.Text = "Download";
                            Button.Width = 100;
                            Button.Style.Add("display", "inline-table");
                            Button.UseSubmitBehavior = true;
                            Button.ClientSideEvents.Click = "DownloadData";
                            //Button.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("MonthlyOrderPlanningInquiry", "FTR-SPEX-133-02", "DOWNLOAD");

                        }).GetHtml()
                             @Html.DevExpress().Button(Button =>
                        {
                            Button.Name = "cmdSendIPPCS";
                            Button.Text = "Send IPPCS";
                            Button.Width = 120;
                            Button.Style.Add("display", "inline-table");
                            Button.UseSubmitBehavior = true;
                            Button.ClientSideEvents.Click = "SendIPPCSData";
                            //Button.ClientVisible = false;
                            //Button.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("MonthlyOrderPlanningInquiry", "FTR-SPEX-133-02", "SEND IPPCS");

                        }).GetHtml()

                             @Html.DevExpress().Button(Button =>
                        {
                            Button.Name = "cmdAdd";
                            Button.Text = "Add";
                            Button.Width = 100;
                            Button.Style.Add("display", "inline-table");
                            Button.UseSubmitBehavior = true;
                            Button.ClientSideEvents.Click = "Add";
                            //Button.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("MonthlyOrderPlanningInquiry", "FTR-SPEX-133-02", "ADD");

                        }).GetHtml()
                             @Html.DevExpress().Button(Button =>
                        {
                            Button.Name = "cmdDelete";
                            Button.Text = "Delete";
                            Button.Width = 100;
                            Button.Style.Add("display", "inline-table");
                            Button.UseSubmitBehavior = true;
                            Button.ClientSideEvents.Click = "DeleteData";
                            //Button.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("MonthlyOrderPlanningInquiry", "FTR-SPEX-133-02", "DELETE");

                        }).GetHtml()
                         </td>*@
                </tr>
            </table>
            @*</fieldset>*@
        </td>
    </tr>

</table>

@Html.DevExpress().TextBox(hsettings =>
    {
        hsettings.Name = "Process_ID2";
        hsettings.ClientVisible = false;
    }).GetHtml()